libopenslp-devel-2.0.0-alt2.i586.rpm


Advertisement

Description

libopenslp-devel - openslp project development headers

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename libopenslp-devel-2.0.0-alt2.i586.rpm
Package name libopenslp-devel
Package version 2.0.0
Package release alt2
Package architecture i586
Package type rpm
Category Development/C
Homepage -
License -
Maintainer -
Download size 22.69 KB
Installed size 22.69 KB
The OpenSLP project is an effort to develop an open-source implementation of
Service Location Protocol suitable for commercial and non-commercial
application.  This package contains openslp project development headers.

Alternatives

Package Version Architecture Repository
libopenslp-devel-2.0.0-alt2.x86_64.rpm 2.0.0 x86_64 Classic
libopenslp-devel - - -

Requires

Name Value
libopenslp = 2.0.0-alt2:sisyphus+222961.100.1.1
rpmlib(PayloadIsLzma) -

Provides

Name Value
libopenslp-devel = 2.0.0-alt2:sisyphus+222961.100.1.1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package libopenslp-devel-2.0.0-alt2.i586.rpm
Source Package openslp-2.0.0-alt2.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libopenslp-devel rpm package:
    # sudo apt-get install libopenslp-devel

Files

Path
/usr/include/slp.h
/usr/lib/libslp.so

Changelog

2018-12-01 - Stanislav Levin <slev@altlinux.org> 2.0.0-alt2
- Fixed libslp namespace (closes: #35692).
- Enabled SLPv2 Security.
- Enabled testing.
- Applied security fixes (fixes: CVE-2012-4428, CVE-2016-4912, CVE-2016-7567,
CVE-2017-17833).
2018-11-28 - Leontiy Volodin <lvol@altlinux.org> 2.0.0-alt1
- New version (2.0.0) with rpmgs script
- Disabled patches because don't applyed for this version
- Adapted spec for new version
2013-04-15 - Dmitry V. Levin (QA) <qa_ldv@altlinux.org> 1.2.1-alt4.qa1
- NMU: rebuilt for debuginfo.
2010-10-01 - Dmitry V. Levin <ldv@altlinux.org> 1.2.1-alt4
- Cleaned up the package a bit.
- Built with libcrypto.so.10.
2010-02-25 - Mikhail Efremov <sem@altlinux.org> 1.2.1-alt3
- fix memcpy usage.
- minor spec cleanup
- remove obsoleted macroses call
2008-08-09 - ALT QA Team Robot <qa-robot@altlinux.org> 1.2.1-alt2.1.1
- Automated rebuild due to libcrypto.so.6 -> libcrypto.so.7 soname change.

See Also

Package Description
libopensm-3.3.21-alt1.i586.rpm Libraries from the opensm package
libopensm-devel-3.3.21-alt1.i586.rpm Development files for OpenSM
liboping-1.6.2-alt2.i586.rpm Liboping library
liboping-devel-1.6.2-alt2.i586.rpm Header files for liboping library
libopm-0.1-alt3_21.20050731cvs.i586.rpm Blitzed open proxy monitor library
libopm-devel-0.1-alt3_21.20050731cvs.i586.rpm Headers and development libraries for libopm
liboprofile-devel-0.9.9-alt3.i586.rpm Header files and libraries for developing apps which will use OProfile
libopts-5.18.12-alt2.i586.rpm Command line option parser based on AutoGen
libopts-devel-5.18.12-alt2.i586.rpm AutoGen development files and libraries
libopus-1.2.1-alt1.1.i586.rpm Opus Audio Codec library
libopus-devel-1.2.1-alt1.1.i586.rpm Development files for libopus
libopusfile-0.9-alt1.i586.rpm A high-level API for decoding and seeking within .opus files
libopusfile-devel-0.9-alt1.i586.rpm Development package for libopusfile
libopusfile-devel-static-0.9-alt1.i586.rpm Static libraries for libopusfile
liborc-0.4.29-alt1.i586.rpm The Oil Runtime Compiler library
Advertisement
Advertisement